Page 1 of 1

upgrade to 3.51 from 3.4 migrations stuck

Posted: Sat Oct 17, 2020 3:41 pm
by woec
Hi,
I tried to upgrade mayan-edms to 3.51. The step where the database migrations should run stucks:

Operations to perform:
Apply all migrations: acls, actstream, admin, appearance, auth, authtoken, autoadmin, cabinets, checkouts, common, contenttypes, converter, django_celery_beat, django_gpg, document_comments, document_indexing, document_parsing, document_signatures, document_states, documents, dynamic_search, events, file_caching, file_metadata, linking, lock_manager, logging, mailer, mayan_statistics, metadata, motd, ocr, permissions, quotas, sessions, sites, sources, storage, tags, user_management, web_links
Running migrations:

upgrade process goes to sleep state, nothing happens ...
147576 root 20 0 14820 8404 7392 S 0.0 0.0 0:00.01 │ │ │ └─ sudo -s
147710 root 20 0 8612 4096 3480 S 0.0 0.0 0:00.09 │ │ │ └─ /bin/bash
761899 root 20 0 14604 5924 5180 S 0.0 0.0 0:00.00 │ │ │ └─ sudo -u mayan MAYAN_DATABASE_ENGINE=django.db.backends.postgresql MAYAN_DATABASE_NAME=mayan MAYAN_DATABASE_PASSWORD=mayanuserpass MAYAN_DATABASE_USER=mayan MAYAN_DATABASE_HOST=127.0.0.1 MAYAN_MEDIA_ROOT=/home/mayan/media /opt/mayan-edms/bin/mayan-edms.py performupgrade
761903 mayan 20 0 135M 103M 16400 S 0.0 0.4 0:02.10 │ │ │ └─ /opt/mayan-edms/bin/python /opt/mayan-edms/bin/mayan-edms.py performupgrade

I don't see any errors in the system logs.

My installation is direct deployment installation on debian bullseye.

Can anybody me give help for this issue?

Regards,
woec

Re: upgrade to 3.51 from 3.4 migrations stuck

Posted: Sat Oct 17, 2020 4:54 pm
by rosarior
Hi,

From which version did you upgrade from?

Make sure Redis (and RabbitMQ, if used as a broker) as running and that your installation can communicate with them.

Similar issues for reference:

viewtopic.php?t=4047

viewtopic.php?t=4049

Re: upgrade to 3.51 from 3.4 migrations stuck

Posted: Sat Oct 17, 2020 5:13 pm
by woec
Hi,
thank you for your quick response.
I upgrade from 3.4.11, RabbitMQ is not used.
Regards,
woec

Re: upgrade to 3.51 from 3.4 migrations stuck

Posted: Sun Oct 18, 2020 8:59 am
by woec
Hi,

I upgraded from 3.4.11 to 3.4.17 step by step - all worked.
But upgrade from 3.4.17 to 3.5.0 or 3.5.1 gives still the stuck on migration step
redis service ist online

Please give further help!
Best Regards,
woec